//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KMFAPPSTATE_H
#define KMFAPPSTATE_H

#include <kdemacros.h>

/**
@author Christian Hubinger
*/
class KDE_EXPORT KMFAppState{
public:
    KMFAppState();
    ~KMFAppState();
	static void setUpAndRunning( bool on );
	static void setHasOpenDoc( bool on );
	static bool upAndRunning();
	static bool hasOpenDoc();

private:
	static bool _upAndRunning;
	static bool _hasOpenDoc;
};

#endif
